package dto

import "cold-delivery/common/dto"

// 运单

type WaybillTaskGetPageReq struct {
	//dto.Pagination `search:"-"`
	WaybillNo string `form:"waybillNo" search:"type:contains;column:waybill_no;table:waybill_task" vd:"len($)>0;msg:'订单编号不能为空'"` // 运单编号-必填

	WaybillTaskOrder
}

type WaybillTaskOrder struct {
	CreatedAtOrder string `search:"type:order;column:created_at;table:waybill_task" form:"createdAtOrder" default:"asc"`
}

func (m *WaybillTaskGetPageReq) GetNeedSearch() interface{} {
	return *m
}

type WaybillTaskGetDataPageReq struct {
	dto.Pagination `search:"-"`
	WaybillNo      string `form:"waybillNo" vd:"len($)>0;msg:'订单编号不能为空'"` // 运单编号-必填
	TaskId         int    `form:"taskId"`
	T_ids          []int  `form:"t_ids"`
	StartTime      string `form:"startTime"`
	EndTime        string `form:"endTime"`
}

func (m *WaybillTaskGetDataPageReq) GetNeedSearch() interface{} {
	return *m
}

// 获取运单轨迹
type WaybillGetLocusReq struct {
	WaybillNo      string `form:"waybillNo" search:"type:contains;column:waybill_no;table:waybill_task" vd:"len($)>0;msg:'订单编号不能为空'"` // 运单编号-必填
	CreatedAtOrder string `search:"type:order;column:created_at;table:waybill_task" form:"createdAtOrder" default:"asc"`
}

func (m *WaybillGetLocusReq) GetNeedSearch() interface{} {
	return *m
}

type WaybillTaskGetNewestDataPageReq struct {
	WaybillNo string `form:"waybillNo" vd:"len($)>0;msg:'订单编号不能为空'"` // 运单编号-必填
}
